Skip to content

Update card status

Request

Update the status of a card. For cards issued with an INACTIVE status, updating to ACTIVE will activate the card and move the card order status to COMPLETED.

Available status transitions:

  • ACTIVE - The card is active and usable
  • FROZEN - The card is temporarily frozen; all authorization requests will be declined
  • BLOCKED - The card is irreversibly blocked and is no longer usable
Security
UserToken
Path
profileIdinteger, (int64)required

The ID of the profile that owns the card.

Example:123456
cardTokenstring, (uuid)required

The unique token identifying the card.

Example:ca0c8154-1e14-4464-a1ce-dcea7dc3de52
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
statusstringrequired

The status to update the card to.

Enum:"ACTIVE""FROZEN""BLOCKED"
Example:"ACTIVE"
curl -i -X PUT \
  https://api.wise.com/v3/spend/profiles/123456/cards/ca0c8154-1e14-4464-a1ce-dcea7dc3de52/status \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "status": "ACTIVE"
  }'

Responses

Card status updated successfully.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
tokenstring

Unique identifier for the card.

Example:"ca0c8154-1e14-4464-a1ce-dcea7dc3de52"
profileIdinteger, (int64)

Profile ID that owns this card.

Example:123456
clientIdstring

Client ID of the partner that issued the card.

Example:"wise_api_docs"
statusobject

Current status of the card.

cardHolderNamestring

Name of the card holder.

Example:"John Smith"
expiryDatestring, (date-time)

Date when the card will expire.

Example:"2028-05-31T00:00:00Z"
lastFourDigitsstring

Last 4 digits of the card number.

Example:"6320"
bankIdentificationNumberstring

Bank identification number (BIN) of the card.

Example:"459661"
phoneNumberstring

Phone number associated with the card.

Example:"+441234567890"
cardProgramobject

Card program details.

unlockSpendingPermissionsstring

Method with which physical card spending permissions can be unlocked. One of:

  • WITH_PARTNER_API - Unlock via Partner API
  • WITH_FIRST_CHIP_AND_PIN_TRANSACTION - Unlock with first chip and PIN transaction
  • NONE - Not applicable (for virtual cards)
Enum:"WITH_PARTNER_API""WITH_FIRST_CHIP_AND_PIN_TRANSACTION""NONE"
Example:"WITH_PARTNER_API"
creationTimestring, (date-time)

Time when the card was created.

Example:"2022-05-31T01:43:24.596321434Z"
modificationTimestring, (date-time)

Time when the card was last modified.

Example:"2022-05-31T01:43:24.596321825Z"
Response
{ "token": "ca0c8154-1e14-4464-a1ce-dcea7dc3de52", "profileId": 123456, "clientId": "wise_api_docs", "status": { "value": "ACTIVE" }, "cardHolderName": "John Smith", "expiryDate": "2028-05-31T00:00:00Z", "lastFourDigits": "6320", "bankIdentificationNumber": "459661", "phoneNumber": "+441234567890", "cardProgram": { "name": "VISA_DEBIT_BUSINESS_UK_1", "scheme": "VISA", "defaultCurrency": "GBP", "cardType": "VIRTUAL" }, "unlockSpendingPermissions": "WITH_PARTNER_API", "creationTime": "2022-05-31T01:43:24.596321434Z", "modificationTime": "2022-05-31T01:43:24.596321825Z" }